### Virtual Method

# Gio Mount get_volume

#### Declaration

    GVolume*
    get_volume (
      GMount* mount
    )

#### Description

Gets the volume for the `mount`.

#### Return value

Type: `GVolume`

A `GVolume` or `NULL` if `mount` is not associated with a volume. The returned object should be unreffed with `g_object_unref()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.